サポート » インストール » WP-CLI と WordPress 4.6 で fatal error

  • 解決済 kokorog

    (@kokorog)


    まだ解決していないのですが、おそらくの解決方法が分かったのでこちらに投稿しておきます。
    プラグインで古いバージョンのWP-CLIを使っている場合に起こる模様。

    Solved: Plugin Updates Fail Using WP-CLI After WordPress 4.6 Upgrade
    http://ryanbenhase.com/solved-plugin-updates-fail-using-wp-cli-wordpress-4-6-upgrade/

    WP-CLIはVersion 0.24.0がリリースされてwp-settings.phpをfolkしなくても良くなった?

    WP-CLI:Version 0.24.0 released
    https://wp-cli.org/blog/version-0.24.0.html

    …コマンドラインから実行とか結構素人がやると面倒だと思うんですが…

    • このトピックはkokorogが6年前に変更しました。
    • このトピックはSeisuke Kuraishiが6年前に変更しました。
3件の返信を表示中 - 1 - 3件目 (全3件中)
  • トピック投稿者 kokorog

    (@kokorog)

    追記:そもそものエラー内容は下記です。

    Fatal error: Call to undefined function apply_filters() in /Library/WebServer/Sites/example.dev/wp-includes/load.php on line 317

    モデレーター Seisuke Kuraishi

    (@tenpura)

    トピックタイトルを変更しました。こちらの問題は WP-CLI を 0.24.0 に更新することで直るはずですので、問題解決したら、 Status を「解決済」にしてください。

    トピック投稿者 kokorog

    (@kokorog)

    この不具合が出たサイトは私はテーマやプラグインのカスタマイズを行っただけのもので、WP-CLIが入っているかどうかは未知でした。
    WP-CLIを誰も入れていないという回答だったため一度WordPress4.5にダウングレードした後、WordPress4.6をFTPで入れ直したところ正常になりました。
    WordPress4.6のアップデートの不具合だった可能性もありますが、解決しました。

    • この返信は5年、 11ヶ月前にkokorogが編集しました。
3件の返信を表示中 - 1 - 3件目 (全3件中)
  • トピック「WP-CLI と WordPress 4.6 で fatal error」には新たに返信することはできません。